import { OnInit, QueryList, TemplateRef } from '@angular/core';
import { Route, ThyGlobalStore } from '@tethys/pro/core';
import { ThyProLayoutMenu, ThyProLayoutMenus } from '../layout.entity';
import { ThyPopoverDirective } from 'ngx-tethys/popover';
import * as i0 from "@angular/core";
export declare class ThyProSidebarComponent implements OnInit {
    globalStore: ThyGlobalStore;
    menus: ThyProLayoutMenus;
    logo: string;
    title: string;
    set isCollapsed(value: boolean);
    headerTemplate: TemplateRef<HTMLElement>;
    menuTemplate: TemplateRef<HTMLElement>;
    footerTemplate: TemplateRef<HTMLElement>;
    currentRootMenuGroup: ThyProLayoutMenu;
    sidebarCollapsed: boolean;
    menuGroupElement: HTMLElement;
    menuPopovers: QueryList<ThyPopoverDirective>;
    constructor(globalStore: ThyGlobalStore);
    ngOnInit(): void;
    getMenuGroupElement(event: MouseEvent): void;
    initCurrentMenuGroup(): void;
    setActiveMenu(menuGroup: ThyProLayoutMenu, activeLinkMenu: Route): void;
    menuGroupCollapsedChange(isCollapsed: boolean, menuGroup: ThyProLayoutMenu): void;
    changeMenuGroupCollapsed(menuGroup: ThyProLayoutMenu, isCollapsed: boolean): void;
    getCurrentRootMenuGroup(activeRoute: Route): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThyProSidebarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThyProSidebarComponent, "thy-pro-sidebar", never, { "menus": "menus"; "logo": "logo"; "title": "title"; "isCollapsed": "isCollapsed"; "headerTemplate": "headerTemplate"; "menuTemplate": "menuTemplate"; "footerTemplate": "footerTemplate"; }, {}, never, never, false, never>;
}
//# sourceMappingURL=sidebar.component.d.ts.map