import { ElementRef, OnInit } from '@angular/core';
import { DomSanitizer, SafeUrl } from '@angular/platform-browser';
import { ThyMediaPlayerBaseComponent } from './media-base.component';
import * as i0 from "@angular/core";
export declare class ThyAudioPlayerComponent extends ThyMediaPlayerBaseComponent implements OnInit {
    sanitizer: DomSanitizer;
    audioPlayerClass: boolean;
    audio: ElementRef | undefined;
    /**
     * 媒体资源的url
     */
    set thySrc(src: string | SafeUrl);
    /**
     * 当下载到足够播放的媒体文件，是否可以自动播放
     */
    thyAutoPlay: boolean;
    errorTips: {
        formatError: string;
        networkError: string;
    };
    constructor(sanitizer: DomSanitizer);
    onLoadedmetadata(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThyAudioPlayerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThyAudioPlayerComponent, "thy-audio-player", never, { "thySrc": "thySrc"; "thyAutoPlay": "thyAutoPlay"; }, {}, never, never, false, never>;
}
//# sourceMappingURL=audio-player.component.d.ts.map