import { OnInit } from '@angular/core';
import { DomSanitizer, SafeUrl } from '@angular/platform-browser';
import { ThyMediaPlayerBaseComponent } from './media-base.component';
import * as i0 from "@angular/core";
export declare class ThyVideoPlayerComponent extends ThyMediaPlayerBaseComponent implements OnInit {
    sanitizer: DomSanitizer;
    class: string;
    video: HTMLVideoElement | undefined;
    /**
     * 媒体资源的url
     */
    set thySrc(src: string | SafeUrl);
    /**
     * 当下载到足够播放的媒体文件，是否可以自动播放
     */
    thyAutoPlay: boolean;
    errorTips: {
        formatError: string;
        networkError: string;
    };
    constructor(sanitizer: DomSanitizer);
    ngOnInit(): void;
    onLoadedmetadata(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThyVideoPlayerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThyVideoPlayerComponent, "thy-video-player", never, { "thySrc": "thySrc"; "thyAutoPlay": "thyAutoPlay"; }, {}, never, never, false, never>;
}
//# sourceMappingURL=video-player.component.d.ts.map