import { Route as AngularRoute } from '@angular/router';
export interface Route extends AngularRoute {
    children?: Routes;
    data?: {
        title?: string;
        icon?: string;
    };
    path?: string;
}
export declare type Routes = Route[];
type Theme = 'light' | 'dark' | 'auto';
type Layout = 'side' | 'top' | 'mix';
export interface ThySiteSettings {
    theme: Theme;
    primaryColor: string;
    layout: Layout;
    showHeader: boolean;
    showFooter: boolean;
    fixSiderbar: boolean;
    fixedHeader: boolean;
    splitMenu: boolean;
}
export interface ThyGlobalInfo {
    config: ThySiteSettings;
    menus: Routes;
    activeMenu?: Route;
}
export {};
//# sourceMappingURL=global.entity.d.ts.map