import { Store } from '@tethys/store';
import { Route, Routes, ThyGlobalInfo, ThySiteSettings } from '../global.entity';
import * as i0 from "@angular/core";
export declare class ThyGlobalStore extends Store<ThyGlobalInfo> {
    config: ThySiteSettings;
    constructor(config: ThySiteSettings);
    initializeMenus(menus: Routes): void;
    pureUpdateActiveMenu(menu: Route): void;
    pureUpdateSettings(config: Partial<ThySiteSettings>): void;
    changeTheme(): void;
    changePrimaryColor(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThyGlobalStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ThyGlobalStore>;
}
//# sourceMappingURL=global.store.d.ts.map