import { EventEmitter, OnInit, TemplateRef } from '@angular/core';
import { ActivatedRoute, Router, Routes } from '@angular/router';
import { ThyGlobalStore } from '@tethys/pro/core';
import * as i0 from "@angular/core";
export declare class ThyProLayoutComponent implements OnInit {
    globalStore: ThyGlobalStore;
    private router;
    route: ActivatedRoute;
    /**
     * 标题
     */
    thyTitle: string;
    /**
     * logo
     */
    thyLogo: string;
    /**
     * 菜单数据
     */
    set thyMenus(value: Routes);
    /**
     *  menu 菜单的头部点击事件
     */
    menuHeaderClick: EventEmitter<Event>;
    /**
     *  自定义标题和 logo
     */
    menuHeaderTemplate: TemplateRef<HTMLElement>;
    /**
     * 自定义菜单显示
     */
    menuTemplate: TemplateRef<HTMLElement>;
    /**
     * 自定义菜单栏底部内容
     */
    menuFooterTemplate: TemplateRef<any>;
    /**
     * 自定义右上角内容
     */
    headerRightContentTemplate: TemplateRef<any>;
    /**
     * 自定义 footer
     */
    footerTemplate: TemplateRef<any>;
    menus: Routes;
    isCollapsed: boolean;
    constructor(globalStore: ThyGlobalStore, router: Router, route: ActivatedRoute);
    ngOnInit(): void;
    collapsedChange(isCollapsed: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThyProLayoutComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThyProLayoutComponent, "thy-pro-layout", never, { "thyTitle": "thyTitle"; "thyLogo": "thyLogo"; "thyMenus": "thyMenus"; }, { "menuHeaderClick": "menuHeaderClick"; }, ["menuHeaderTemplate", "menuTemplate", "menuFooterTemplate", "headerRightContentTemplate", "footerTemplate"], never, false, never>;
}
//# sourceMappingURL=layout.component.d.ts.map